Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal.server
Class JspImplicitObjects

    java.lang.Object
      org.apache.cactus.internal.server.AbstractWebImplicitObjects
          org.apache.cactus.internal.server.ServletImplicitObjects
              org.apache.cactus.internal.server.JspImplicitObjects

All Implemented Interfaces:
  ImplicitObjects, WebImplicitObjects

public class JspImplicitObjects
extends ServletImplicitObjects

Holder class that contains the instances of the implicit objects that will be accessible in the test classes (ie subclasses of `JspTestCase`).

Version:
  $Id: JspImplicitObjects.java 238991 2004-05-22 11:34:50Z vmassol $

Field Summary
`protected javax.servlet.jsp.JspWriter` | `jspWriter` The JSP redirector `JspWriter` object (same as `pagecontext.getOut()`).
`protected javax.servlet.jsp.PageContext` | `pageContext` The JSP redirector `PageContext` object.

Fields inherited from class org.apache.cactus.internal.server.ServletImplicitObjects
`config`

Fields inherited from class org.apache.cactus.internal.server.AbstractWebImplicitObjects
`context, request, response`

Constructor Summary
`JspImplicitObjects()`

Method Summary
`javax.servlet.jsp.JspWriter` | `getJspWriter()`
`javax.servlet.jsp.PageContext` | `getPageContext()`
`void` | `setJspWriter(javax.servlet.jsp.JspWriter theWriter)`
`void` | `setPageContext(javax.servlet.jsp.PageContext thePageContext)`

Methods inherited from class org.apache.cactus.internal.server.ServletImplicitObjects
`getServletConfig, setServletConfig`

Methods inherited from class org.apache.cactus.internal.server.AbstractWebImplicitObjects
`getHttpServletRequest, getHttpServletResponse, getServletContext, setHttpServletRequest, setHttpServletResponse, setServletContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pageContext

    protected javax.servlet.jsp.PageContext pageContext

  The JSP redirector `PageContext` object.

### jspWriter

    protected javax.servlet.jsp.JspWriter jspWriter

  The JSP redirector `JspWriter` object (same as `pagecontext.getOut()`).

Constructor Detail

### JspImplicitObjects

    public JspImplicitObjects()

Method Detail

### getPageContext

    public javax.servlet.jsp.PageContext getPageContext()

  Returns:
    the `PageContext` implicit object

### setPageContext

    public void setPageContext(javax.servlet.jsp.PageContext thePageContext)

  Parameters:
    `thePageContext` - the `PageContext` implicit object

### getJspWriter

    public javax.servlet.jsp.JspWriter getJspWriter()

  Returns:
    the `JspWriter` implicit object

### setJspWriter

    public void setJspWriter(javax.servlet.jsp.JspWriter theWriter)

  Parameters:
    `theWriter` - the `JspWriter` implicit object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.